Debian Bug report logs - #675839
boinc-app-seti: FTBFS[kfreebsd]: error: 'floor' was not declared in this scope

version graph

Package: src:boinc-app-seti; Maintainer for src:boinc-app-seti is Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 3 Jun 2012 16:15:07 UTC

Severity: serious

Tags: sid, wheezy

Found in version boinc-app-seti/6.12~svn1305-2

Fixed in version boinc-app-seti/6.12~svn1306-1

Done: Steffen Moeller <moeller@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>:
Bug#675839; Package src:boinc-app-seti. (Sun, 03 Jun 2012 16:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 16:15:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: boinc-app-seti: FTBFS[kfreebsd]: error: 'floor' was not declared in this scope
Date: Sun, 03 Jun 2012 18:14:05 +0200
Package: src:boinc-app-seti
Version: 6.12~svn1305-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

vector/analyzeFuncs_sse.cpp: In function 'int sse1_ChirpData_ak(float (*)[2], float (*)[2], int, double, int, double)':
vector/analyzeFuncs_sse.cpp:782:62: error: 'floor' was not declared in this scope
vector/analyzeFuncs_sse.cpp: At global scope:
vector/analyzeFuncs_sse.cpp:1299:91: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
vector/analyzeFuncs_sse.cpp:2252:82: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
vector/analyzeFuncs_sse.cpp:2265:1: warning: 'typedef' was ignored in this declaration [enabled by default]
vector/analyzeFuncs_sse.cpp:2556:82: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
make[3]: *** [seti_boinc-analyzeFuncs_sse.o] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=boinc-app-seti&arch=kfreebsd-amd64&ver=6.12%7Esvn1305-2&stamp=1338167773

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>:
Bug#675839; Package src:boinc-app-seti. (Wed, 06 Jun 2012 15:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guo Yixuan <culu.gyx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>. (Wed, 06 Jun 2012 15:48:09 GMT) Full text and rfc822 format available.

Message #10 received at 675839@bugs.debian.org (full text, mbox):

From: Guo Yixuan <culu.gyx@gmail.com>
To: control@bugs.debian.org, 675839@bugs.debian.org
Cc: Christoph Egger <christoph@debian.org>
Subject: Re: Bug#675839: boinc-app-seti: FTBFS[kfreebsd]: error: 'floor' was not declared in this scope
Date: Wed, 06 Jun 2012 23:48:05 +0800
tags 675839 + pending
thanks

Hi,

On 06/04/2012 12:14 AM, Christoph Egger wrote:
> Package: src:boinc-app-seti Version: 6.12~svn1305-2 Severity: serious
> Tags: sid wheezy User: debian-bsd@lists.debian.org Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org Justification: fails to
> build from source (but built successfully in the past)
> 
> Hi!
> 
> Your package failed to build on the kfreebsd-* buildds:
> 
> vector/analyzeFuncs_sse.cpp: In function 'int
> sse1_ChirpData_ak(float (*)[2], float (*)[2], int, double, int,
> double)': vector/analyzeFuncs_sse.cpp:782:62: error: 'floor' was not
> declared in this scope vector/analyzeFuncs_sse.cpp: At global scope:
>  vector/analyzeFuncs_sse.cpp:1299:91: warning: deprecated conversion 
> from string constant to 'char*' [-Wwrite-strings] 
> vector/analyzeFuncs_sse.cpp:2252:82: warning: deprecated conversion 
> from string constant to 'char*' [-Wwrite-strings] 
> vector/analyzeFuncs_sse.cpp:2265:1: warning: 'typedef' was ignored
> in this declaration [enabled by default] 
> vector/analyzeFuncs_sse.cpp:2556:82: warning: deprecated conversion 
> from string constant to 'char*' [-Wwrite-strings] make[3]: *** 
> [seti_boinc-analyzeFuncs_sse.o] Error 1

We added a patch[1], and think it will fix this error.

[1]
http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git;a=blob;f=debian/patches/101_freebsd_build.patch;h=e02e9a8a4bc14f33d33ab41e19fdbfa8bf10bce4;hb=8dc89b3126d80321134311930e3464845db00174

Cheers,

Guo Yixuan




Added tag(s) pending. Request was from Guo Yixuan <culu.gyx@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 15:48:18 GMT) Full text and rfc822 format available.

Reply sent to Steffen Moeller <moeller@debian.org>:
You have taken responsibility. (Thu, 28 Jun 2012 06:48:13 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Thu, 28 Jun 2012 06:48:13 GMT) Full text and rfc822 format available.

Message #17 received at 675839-close@bugs.debian.org (full text, mbox):

From: Steffen Moeller <moeller@debian.org>
To: 675839-close@bugs.debian.org
Subject: Bug#675839: fixed in boinc-app-seti 6.12~svn1306-1
Date: Thu, 28 Jun 2012 06:47:12 +0000
Source: boinc-app-seti
Source-Version: 6.12~svn1306-1

We believe that the bug you reported is fixed in the latest version of
boinc-app-seti, which is due to be installed in the Debian FTP archive:

boinc-app-seti-dbg_6.12~svn1306-1_amd64.deb
  to main/b/boinc-app-seti/boinc-app-seti-dbg_6.12~svn1306-1_amd64.deb
boinc-app-seti_6.12~svn1306-1.debian.tar.gz
  to main/b/boinc-app-seti/boinc-app-seti_6.12~svn1306-1.debian.tar.gz
boinc-app-seti_6.12~svn1306-1.dsc
  to main/b/boinc-app-seti/boinc-app-seti_6.12~svn1306-1.dsc
boinc-app-seti_6.12~svn1306-1_amd64.deb
  to main/b/boinc-app-seti/boinc-app-seti_6.12~svn1306-1_amd64.deb
boinc-app-seti_6.12~svn1306.orig.tar.gz
  to main/b/boinc-app-seti/boinc-app-seti_6.12~svn1306.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Moeller <moeller@debian.org> (supplier of updated boinc-app-seti package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 May 2012 23:52:47 +0200
Source: boinc-app-seti
Binary: boinc-app-seti boinc-app-seti-dbg
Architecture: source amd64
Version: 6.12~svn1306-1
Distribution: unstable
Urgency: low
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Changed-By: Steffen Moeller <moeller@debian.org>
Description: 
 boinc-app-seti - SETI@home application for the BOINC client
 boinc-app-seti-dbg - debug symbols for SETI@home
Closes: 675839
Changes: 
 boinc-app-seti (6.12~svn1306-1) unstable; urgency=low
 .
   * New upstream version.
   * Added inclusion<cmath> for kfreebsd (Closes: #675839)
Checksums-Sha1: 
 e801020aba9a4a0518bd79a4277401c5f6cbcab0 1618 boinc-app-seti_6.12~svn1306-1.dsc
 ccbcc3ecebc153a70f417bfe042ec23d157478ed 2832216 boinc-app-seti_6.12~svn1306.orig.tar.gz
 13eb1dc43e5b7598548b4ba9b22eace12d3c5a10 11953 boinc-app-seti_6.12~svn1306-1.debian.tar.gz
 c5c5b960e67264d74fd54b66e211a5a8c4637833 379922 boinc-app-seti_6.12~svn1306-1_amd64.deb
 7748eb603d9d063a17e45350478ed693d5c60e4f 2304744 boinc-app-seti-dbg_6.12~svn1306-1_amd64.deb
Checksums-Sha256: 
 9195382e6f1f24279a66e192a320a136dedee018a5c55339678ee60f9717c41b 1618 boinc-app-seti_6.12~svn1306-1.dsc
 63e03d481663c8775848d176a9ba10a97a33d6a87ef49b4eb560ff8e266905a3 2832216 boinc-app-seti_6.12~svn1306.orig.tar.gz
 508cde096d8482c999275a8caa2444f9b36c5a44537c7601b706715e9d8e0d57 11953 boinc-app-seti_6.12~svn1306-1.debian.tar.gz
 debb538867a55c86b251a3edc352528e0f4741b5c0281e4ab89965f064a2e808 379922 boinc-app-seti_6.12~svn1306-1_amd64.deb
 0f1f55b9100ee4e55634986c566a77a1a4df8ec91185170772073b56f914db02 2304744 boinc-app-seti-dbg_6.12~svn1306-1_amd64.deb
Files: 
 b96c1eb6788b1bea4fdd4076567b2c4c 1618 science extra boinc-app-seti_6.12~svn1306-1.dsc
 4b07ee95b925f46408e08386574a1622 2832216 science extra boinc-app-seti_6.12~svn1306.orig.tar.gz
 e8f23797ff61b363c1e84b456aeba7d4 11953 science extra boinc-app-seti_6.12~svn1306-1.debian.tar.gz
 7b3597e39c9ed75bbfdb241f2e184cce 379922 science extra boinc-app-seti_6.12~svn1306-1_amd64.deb
 085fba3de7f3cce3910ad96a5d783877 2304744 debug extra boinc-app-seti-dbg_6.12~svn1306-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/rWtYACgkQ02K2KlS5mJD56ACeNvF5Q2eN85IsT3Y50z2R8LCK
WxAAoJswDKvjRHz8uCvrxd0HWYsYrZZB
=XI8w
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:31:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:41:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.